Main Page Class Hierarchy Alphabetical List Compound List Examples

Public Member Functions | List of all members
Header Struct Reference

MIME message header class. More...

`#include <header.h>`

Inheritance diagram for Header:

## Public Member Functions

const MimeVersion & | mimeVersion () const
MimeVersion & | mimeVersion ()
void | mimeVersion (const MimeVersion &)
const ContentType & | contentType () const
ContentType & | contentType ()
void | contentType (const ContentType &)
const ContentTransferEncoding & | contentTransferEncoding () const
ContentTransferEncoding & | contentTransferEncoding ()
void | contentTransferEncoding (const ContentTransferEncoding &)
const ContentDisposition & | contentDisposition () const
ContentDisposition & | contentDisposition ()
void | contentDisposition (const ContentDisposition &)
const ContentDescription & | contentDescription () const
ContentDescription & | contentDescription ()
void | contentDescription (const ContentDescription &)
const ContentId & | contentId () const
ContentId & | contentId ()
void | contentId (const ContentId &)
Public Member Functions inherited from Rfc822Header
bool | hasField (const std::string &) const
const Field & | field (const std::string &) const
Field & | field (const std::string &)
const Mailbox & | sender () const
Mailbox & | sender ()
void | sender (const Mailbox &)
const MailboxList & | from () const
MailboxList & | from ()
void | from (const MailboxList &)
const AddressList & | to () const
AddressList & | to ()
void | to (const AddressList &)
const std::string & | subject () const
std::string & | subject ()
void | subject (const std::string &)
const AddressList & | replyto () const
AddressList & | replyto ()
void | replyto (const AddressList &)
const AddressList & | cc () const
AddressList & | cc ()
void | cc (const AddressList &)
const AddressList & | bcc () const
AddressList & | bcc ()
void | bcc (const AddressList &)
const MessageId & | messageid () const
MessageId & | messageid ()
void | messageid (const MessageId &)

## Additional Inherited Members

Protected Member Functions inherited from Rfc822Header
template<typename T>
const T & | getField (const std::string &) const
template<typename T>
T & | getField (const std::string &)
template<typename T>
void | setField (const std::string &, const T &)

## Detailed Description

MIME message header class.

The documentation for this struct was generated from the following file:

- header.h